Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

API token obtained from the Tokens endpoint. Include as Authorization: Bearer <token>.

Body

application/json

At least one target (domain_ids, repository_ids, or internal_targets) should be provided.

engagement_type
enum<string>
default:live_test

Which engagement type this run is. Defaults to live_test server-side.

Available options:
code_review,
live_test,
internal_infra,
compliance_pentest
domain_ids
string<uuid>[]
domain_paths
object

Map of domain ID to specific paths to scan.

repository_ids
string<uuid>[]
repository_branches
object

Map of repository ID to branch name.

credentials
object[]
headers
object[]
concerns
string
focus
string
context
string
upload_ids
string[]
connector_id
string
internal_targets
string[]
org_knowledge_enabled
boolean
notify_on_completion
boolean

Email the scan creator when the pentest finishes.

notification_emails
string<email>[]

Extra addresses to CC on the completion email. Validated only when notify_on_completion is true.

Response

Scan created successfully.

scan_id
string<uuid>
required
title
string
required
status
enum<string>
required
Available options:
pending,
running,
completed,
failed,
cancelled